Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLG5.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLG5.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLG5.m	(revision 636)
@@ -1,19 +1,5 @@
-PXRMDLG5 ; SLC/PJH - Reminder Dialog Edit/Inquiry ;11/08/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMDLG5 ; SLC/PJH - Reminder Dialog Edit/Inquiry ;05/17/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
-ALT(DIEN,LEV,DSEQ,NODE,VIEW,NLINE,CNT,ALTLEN) ;
- ;Display branching logic text in dialog summary view
- N DATA,DNAM,DTYP,IEN,TERM,TNAME,TSTAT,TEMP
- S DATA=$G(^PXRMD(801.41,DIEN,49))
- I '+$P(DATA,U)!($P($G(DATA),U,2)="") Q
- S TNAME=$P($G(^PXRMD(811.5,$P(DATA,U),0)),U)
- S TSTAT=$S($P(DATA,U,2)="1":"TRUE",1:"FALSE")
- I +$P(DATA,U,3)>0 D
- .S IEN=$P(DATA,U,3),DNAM=$P($G(^PXRMD(801.41,IEN,0)),U)
- .S DTYP=$S($P($G(^PXRMD(801.41,IEN,0)),U,4)="E":"Element",$P($G(^PXRMD(801.41,IEN,0)),U,4)="G":"Group")
- I $G(DNAM)="" S TEMP="Suppressed if Reminder Term "_TNAME_" evaluates as "_TSTAT
- I $G(DNAM)'="" S TEMP="Replaced by "_DNAM_" if Reminder Term "_TNAME_" evaluates as "_TSTAT
- D TEXT(.NLINES,CNT,ALTLEN,TEMP,NODE)
- Q
  ;
 ASK(YESNO,PIEN) ;Confirm
@@ -36,4 +22,44 @@
  S VALMBCK="R"
  Q
+ ;
+MSEL(NUM) ;
+ I NUM=4,'$$PATCH^XPDUTL("OR*3.0*243") D EN^DDIOL("THIS SELECTION IS NOT VALID, UNTIL CPRS 27 IS INSTALLED") Q 0
+ Q 1
+ ;
+ALT(DIEN,LEV,DSEQ,NODE,VIEW,NLINE,CNT,ALTLEN) ;
+ ;Display branching logic text in dialog summary view
+ N DATA,DNAM,DTYP,IEN,TERM,TNAME,TSTAT,TEMP
+ S DATA=$G(^PXRMD(801.41,DIEN,49))
+ I '+$P(DATA,U)!($P($G(DATA),U,2)="") Q
+ S TNAME=$P($G(^PXRMD(811.5,$P(DATA,U),0)),U)
+ S TSTAT=$S($P(DATA,U,2)="1":"TRUE",1:"FALSE")
+ I +$P(DATA,U,3)>0 D
+ .S IEN=$P(DATA,U,3),DNAM=$P($G(^PXRMD(801.41,IEN,0)),U)
+ .S DTYP=$S($P($G(^PXRMD(801.41,IEN,0)),U,4)="E":"Element",$P($G(^PXRMD(801.41,IEN,0)),U,4)="G":"Group")
+ I $G(DNAM)="" S TEMP="Suppressed if Reminder Term "_TNAME_" evaluates as "_TSTAT
+ I $G(DNAM)'="" S TEMP="Replaced by "_DNAM_" if Reminder Term "_TNAME_" evaluates as "_TSTAT
+ D TEXT(.NLINES,CNT,ALTLEN,TEMP,NODE)
+ Q
+ ;
+OTERM(DA) ;
+ K OTERM
+ S OTERM=$P($G(^PXRMD(801.41,DA,49)),U) Q
+ ;
+NTERM(DA,OTERM,NTERM) ;
+ I +OTERM=0 S OTERM=$P($G(DA),U)
+ I +NTERM=0 K OTERM Q 2
+ I +OTERM=0,+NTERM>0 K OTERM Q 1
+ I +OTERM'=+NTERM K OTERM Q 0
+ K OTERM
+ Q 1
+ ;
+TERMS(DA,X) ;
+ N TERM
+ S TERM=$P($G(^PXRMD(801.41,DA,49)),U)
+ I +TERM=0 D  Q 0
+ .W !,"Cannot set Reminder Term Status if the Reminder Term field is blank"
+ .H 2
+ I +TERM>0,$G(X)="" Q 2
+ Q 1
  ;
 BHELP(VALUE) ;
@@ -59,5 +85,5 @@
  I VALUE=4 D
  .;Patient Specific field
- .S HTEXT(1)="Enter either 1 for true or 0 for false. This value must be set to true"
+ .S HTEXT(1)="Enter either 1 for true or 0 for false. This value must be set totrue"
  .S HTEXT(2)="if item in this dialog will be using reminder term to either replace an item"
  .S HTEXT(3)="or to suppress an item."
@@ -65,5 +91,14 @@
  Q
  ;
+TEXT(NLINES,CNT,ATLEN,TEMP,NODE) ;
+ N CNT1,NOUT,OUTPUT,WIDHT
+ S WIDTH=IOM-(2+(CNT+ATLEN))
+ S CNT1=1 D FORMATS^PXRMTEXT(1,WIDTH,TEMP,.NOUT,.OUTPUT)
+ I NOUT>0 F CNT1=1:1:NOUT D
+ .S NLINE=NLINE+1,^TMP(NODE,$J,NLINE,0)=$J("",2+(CNT+ATLEN))_OUTPUT(CNT1)
+ Q
+ ;
 INQ(DIEN) ;INQ Inquiry/Print option
+ ;
  ; Used by 801.41 print templates
  ; [PXRM REMINDER DIALOG]
@@ -84,139 +119,2 @@
  K ^TMP(NODE,$J)
  Q
- ;
-MH(IEN) ;Allow IEN=109 (HX2) as a place holder for 601 entries that do not
- ;have a corresponding 601.71 entry.
- I IEN=109 Q 1
- I $G(PXRMINST)=1 Q 1
- N MAXNUM
- S MAXNUM=+$P($G(^PXRM(800,1,"MH")),U)
- I MAXNUM=0 S MAXNUM=25
- Q $$ONECR^YTQPXRM5(IEN,MAXNUM)
- ;
-MHLICR(IEN) ;Called by input template PXRM EDIT ELEMENT. Preserve Y so template
- ;branching works.
- N Y
- ;DBIA #5042
- I $$RL^YTQPXRM3(IEN)="Y" D
- .W !,"This MH test requires a license."
- .W !,"The question text will not appear in the progress note.",!
- .H 1
- Q
- ;
-MSEL(NUM) ;
- I NUM=4,'$$PATCH^XPDUTL("OR*3.0*243") D EN^DDIOL("THIS SELECTION IS NOT VALID, UNTIL CPRS 27 IS INSTALLED") Q 0
- Q 1
- ;
-MHREQHLP ;
- N TEXT
- S TEXT(1)="Select 0, ""Optional open and optional complete (partial complete possible)"","
- S TEXT(2)="if the user should be able to optionally select/open the MH test in the reminder dialog and optionally complete the MH test before the reminder dialog can be finished."
- S TEXT(3)=" "
- S TEXT(4)="Select 1, ""Required open and required complete before finish"","
- S TEXT(5)="if the user is required to select/open and complete the MH test in the reminder dialog before the reminder dialog can be finished."
- S TEXT(6)=" "
- S TEXT(7)="Select 2, ""Optional open and required complete or cancel before finish"","
- S TEXT(8)="if the user should be able to optionally select/open the MH test in the reminder dialog; however, if the user opens the MH test, then the user is required to complete or cancel the MH test before the reminder dialog can be finished."
- S TEXT(9)=" "
- S TEXT(10)="Note: Clicking the cancel button in the MH Test is considered the same as not opening the MH Test."
- S TEXT(11)="Also, Option 2, ""Optional open and required complete or cancel before finish"", only works with CPRS 27 and"
- S TEXT(12)="YS_MHA.dll. If Option 2 is selected and the user is using a pre-CPRS 27 version this option will be treated by CPRS as Option 1, ""Required open and required complete before finish""."
- D HELP^PXRMEUT(.TEXT)
- Q
- ;
-NTERM(DA,OTERM,NTERM) ;
- I +OTERM=0 S OTERM=$P($G(DA),U)
- I +NTERM=0 K OTERM Q 2
- I +OTERM=0,+NTERM>0 K OTERM Q 1
- I +OTERM'=+NTERM K OTERM Q 0
- K OTERM
- Q 1
- ;
-OTERM(DA) ;
- K OTERM
- S OTERM=$P($G(^PXRMD(801.41,DA,49)),U)
- Q
- ;
-RESCHK(IEN) ;Called by input template PXRM EDIT ELEMENT. Preserve Y so template
- ;branching works.
- N CNT,FDA,MSG,RG,RGIEN,VALID,Y
- S CNT=0
- F  S CNT=$O(^PXRMD(801.41,IEN,51,CNT)) Q:CNT'>0  D
- .S RGIEN=$P($G(^PXRMD(801.41,IEN,51,CNT,0)),U) I +RGIEN'>0 Q
- .S RG=$P($G(^PXRMD(801.41,RGIEN,0)),U,1)
- .I RG="" Q
- .S VALID=$$RGLSCR(IEN,RG,RGIEN)
- .I VALID Q
- .W !,"Deleting the result group ",RG," from the element/group."
- .S FDA(801.41121,CNT_","_IEN_",",.01)="@"
- .D FILE^DIE("E","FDA","MSG")
- .S RGKILL=1
- .I $D(MSG) D AWRITE^PXRMUTIL("MSG")
- Q
- ;
-RSELEDIT(DA) ;
- N NODE,RESULT
- ;RESULT=0 EDIT NOTHING
- ;RESULT=1 EDIT INFORMATIONAL TEXT
- ;RESULT=2 EDIT EVERYTHING
- S RESULT=2
- I $G(PXRMINST)=1,DUZ(0)="@" Q RESULT
- S NODE=$G(^PXRMD(801.41,DA,100))
- I $P(NODE,U)="N" S RESULT=0
- I RESULT=0,+$P(NODE,U,4)=0 S RESULT=1
- Q RESULT
- ;
-RGLSCR(DA,X,IEN) ;Input transform/screen for RESULT GROUP LIST
- I $G(PXRMINST)=1 Q 1
- I $G(PXRMEXCH)=1 Q 1
- N HELP,MHTEST,TEXT,VALID,Y
- S NMATCH=0
- S MHTEST=$O(^PXRMD(801.41,"B",X),-1)
- F  S MHTEST=$O(^PXRMD(801.41,"B",MHTEST)) Q:(NMATCH>1)!(MHTEST'[X)  S NMATCH=NMATCH+1
- ;If there is an exact match to the user's input turn help on.
- S HELP=$S($G(DIQUIET):0,NMATCH=1:1,1:0)
- S VALID=1
- ;Make sure the TYPE is a result group
- I '$D(^PXRMD(801.41,"TYPE","S",IEN)) D
- . I HELP S TEXT(1)="TYPE must be a result group."
- . S VALID=0
- ;Make sure the finding item for the element matches the 
- ;MH Test assigned to the Result Group
- S MHTEST=+$P($G(^PXRMD(801.41,DA,1)),U,5) I MHTEST="" D
- . I HELP S TEXT(2)="The MH test is missing."
- . S VALID=0
- I +$P($G(^PXRMD(801.41,IEN,50)),U)'=MHTEST D
- . I HELP S TEXT(3)="The finding item does not match the MH Test assigned to the Result Group"
- . S VALID=0
- ;Make sure a scale has been defined.
- I +$P($G(^PXRMD(801.41,IEN,50)),U,2)'>0 D
- . I HELP S TEXT(4)="An MH Scale must be defined."
- . S VALID=0
- ;Make sure it is not disabled.
- I $P($G(^PXRMD(801.41,IEN,0)),U,3)'="" D
- . S VALID=0
- . I HELP D
- .. N EM,TYPE
- .. S TYPE=$P(^PXRMD(801.41,IEN,0),U,4)
- .. S TYPE=$$EXTERNAL^DILFD(801.41,4,"",TYPE,.EM)
- .. S TEXT(5)="The "_TYPE_" is disabled."
- I HELP,'VALID D EN^DDIOL(.TEXT)
- Q VALID
- ;
-TERMS(DA,X) ;
- N TERM
- S TERM=$P($G(^PXRMD(801.41,DA,49)),U)
- I +TERM=0 D  Q 0
- .W !,"Cannot set Reminder Term Status if the Reminder Term field is blank"
- .H 2
- I +TERM>0,$G(X)="" Q 2
- Q 1
- ;
-TEXT(NLINES,CNT,ATLEN,TEMP,NODE) ;
- N CNT1,NOUT,OUTPUT,WIDHT
- S WIDTH=IOM-(2+(CNT+ATLEN))
- S CNT1=1 D FORMATS^PXRMTEXT(1,WIDTH,TEMP,.NOUT,.OUTPUT)
- I NOUT>0 F CNT1=1:1:NOUT D
- .S NLINE=NLINE+1,^TMP(NODE,$J,NLINE,0)=$J("",2+(CNT+ATLEN))_OUTPUT(CNT1)
- Q
- ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLGZ.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLGZ.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLGZ.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDLGZ ; SLC/PJH - Link reminder to dialog. ;01/11/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMDLGZ ; SLC/PJH - Link reminder to dialog. ;05/31/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;Called by option PXRM DIALOG/COMPONENT EDIT
@@ -229,6 +229,10 @@
  .W $C(7),!,"A taxonomy cannot be entered as the finding item for a group"
  ;Only applies to MH
- I $P(X,";",2)'="^YTT(601.71," Q 1
- I $$OK^PXRMDLL($P(X,";")) Q 1
+ I $P(X,";",2)'="YTT(601," Q 1
+ ;GAF
+ I $P($G(^YTT(601,$P(X,";"),0)),U)="GAF" Q 1
+ ;Check if a VALID GUI test
+ I $P($G(^YTT(601.6,$P(X,";"),0)),U,4)="Y" Q 1
+ ;else
  W *7,!,"This test is not appropriate for the GUI",!
  Q 0
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLL.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLL.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLL.m	(revision 636)
@@ -1,8 +1,10 @@
 PXRMDLL ;SLC/PJH - REMINDER DIALOG LOADER ;09/26/2007
- ;;2.0;CLINICAL REMINDERS;**10,6**;Feb 04, 2005;Build 123
+ ;;2.0;CLINICAL REMINDERS;**10**;Feb 04, 2005;Build 25
  ;
 OK(DIEN) ;Check if mental health test is for GUI
- I 'DIEN Q 0
- Q $$MH^PXRMDLG5(DIEN)
+ I 'DFIEN Q 0
+ I $P($G(^YTT(601.6,DFIEN,0)),U,4)="Y" Q 1
+ I $P($G(^YTT(601,DFIEN,0)),U)="GAF" Q 1
+ Q 0
  ;
 TXT ;Format text
@@ -100,7 +102,5 @@
  .I $P($G(^PXRMD(801.41,DGIEN,2)),U,3) S DEXC=1
  .S DTYP=$P(DATA,U,4),DSUPP=$P(DATA,U,11) Q:"EG"'[DTYP
- .S DMHEX=$P(DATA,U,14)
- .S DRESL=$$RESGROUP^PXRMDLLB(DGIEN)
- .;S DRESL=$P(DATA,U,15)
+ .S DMHEX=$P(DATA,U,14),DRESL=$P(DATA,U,15)
  .S DRES=$P($G(^PXRMD(801.41,DGIEN,1)),U,3)
  .;Done Elsewhere (historical)
@@ -146,5 +146,5 @@
  S DARRAY("GMRD(120.51,")="VIT"
  S DARRAY("ORD(101.41,")="Q"
- S DARRAY("YTT(601.71,")="MH"
+ S DARRAY("YTT(601,")="MH"
  S DARRAY("ICD9(")="POV"
  S DARRAY("ICPT(")="CPT"
@@ -168,7 +168,5 @@
  ..D REPLACE^PXRMDLLB(DFN,TERMNODE,.DITEM,.DATA,.TERMSTAT)
  .S DTYP=$P(DATA,U,4),DSUPP=$P(DATA,U,11)
- .S DMHEX=$P(DATA,U,14)
- .S DRESL=$$RESGROUP^PXRMDLLB(DITEM)
- .;S DRESL=$P(DATA,U,15)
+ .S DMHEX=$P(DATA,U,14),DRESL=$P(DATA,U,15)
  .K DTXT S SUB=0
  .F  S SUB=$O(^PXRMD(801.41,DITEM,25,SUB)) Q:'SUB  D
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLLA.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLLA.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLLA.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDLLA ;SLC/PJH - REMINDER DIALOG LOADER ;11/08/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMDLLA ;SLC/PJH - REMINDER DIALOG LOADER ;07/29/2004
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
 FREC(DFIEN,DFTYP) ;Build type 3 record
@@ -25,9 +25,7 @@
  .;If mental health check if a GAF score and if MH test is required
  .I DPCE="MH",DFIEN D
- ..;DBIA #5044
- ..I $P($G(^YTT(601.71,DFIEN,0)),U)="GAF" S $P(ORY(OCNT),U,12)=1
+ ..I $P($G(^YTT(601,DFIEN,0)),U)="GAF" S $P(ORY(OCNT),U,12)=1
  ..;Check to see if the MH test is required
- ..S $P(ORY(OCNT),U,13)=+$P($G(^PXRMD(801.41,DITEM,0)),U,18)
- ..I $P(ORY(OCNT),U,13)=2,$$PATCH^XPDUTL("OR*3.0*243")=0 S $P(ORY(OCNT),U,13)=1
+ ..S $P(ORY(OCNT),U,13)=$S($P($G(^PXRMD(801.41,DITEM,0)),U,18)=1:1,1:0)
  Q
  ;
@@ -52,5 +50,5 @@
  S DARRAY("GMRD(120.51,")="VIT"
  S DARRAY("ORD(101.41,")="Q"
- S DARRAY("YTT(601.71,")="MH"
+ S DARRAY("YTT(601,")="MH"
  ;
  S DARRAY("ICD9(")="POV"
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLLB.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLLB.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLLB.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDLLB ;SLC/PJH - REMINDER DIALOG LOADER ;05/01/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMDLLB ;SLC/PJH - REMINDER DIALOG LOADER ;07/29/2004
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
 CODE(DFIEN,DFTYP,ARRAY) ;
@@ -108,16 +108,4 @@
  Q
  ;
-RESGROUP(DIEN) ;
- N CNT,RESULT,TEMP
- S RESULT=""
- I $$PATCH^XPDUTL("OR*3.0*243")=0 D  Q RESULT
- .S RESULT=$P($G(^PXRMD(801.41,DIEN,51,1,0)),U) I RESULT="" Q
- .I $P($G(^PXRMD(801.41,RESULT,0)),U,3)'="" S RESULT="" Q
- S CNT=0 F  S CNT=$O(^PXRMD(801.41,DIEN,51,CNT)) Q:CNT'>0  D
- .S TEMP=$P($G(^PXRMD(801.41,DIEN,51,CNT,0)),U) I TEMP="" Q
- .I $P($G(^PXRMD(801.41,TEMP,0)),U,3)'="" S TEMP="" Q
- .S RESULT=$S(RESULT="":TEMP,1:RESULT_"~"_TEMP)
- Q RESULT
- ;
 TERM(TERMIEN,DFN,IEN) ;
  ;this section is use to for the term evaluation
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLR.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLR.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLR.m	(revision 636)
@@ -1,31 +1,23 @@
-PXRMDLR ;SLC/PJH - DIALOG RESULTS LOADER ;05/15/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMDLR ;SLC/PJH - DIALOG RESULTS LOADER ;06/09/2000
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
  ;Build score related P/N text from score and result group
  ; 
  ;If not found
-START(ORY,RESULT,ORES) ;
  I '$G(RESULT) S ORY(1)="-1^no results for this test" Q
  ;
- N ARRAY,ERROR,INSERT,OK,SCORE,SUB,YT,X
+ N ARRAY,ERROR,INSERT,OK,SCORE,SUB,YT
  ;
- I RESULT["~" S RESULT=$P(RESULT,"~")
  S ERROR=0
  ;
  ;Get score using API
- K ^TMP($J,"YSCOR")
+ S DFN=$G(ORES("DFN"))
  I ORES("CODE")'="DOM80" D  Q:ERROR
  .M YT=ORES
- .F X=1:1:$L(YT("R1")) I $E(YT("R1"),X)'="X" S YT(X)=X_U_$E(YT("R1"),X)
- .K YT("R1")
- .D CHECKCR^YTQPXRM4(.ARRAY,.YT)
- .S OK=0
- .;D PREVIEW^YTAPI4(.ARRAY,.YT)
- .I ^TMP($J,"YSCOR",1)'="[DATA]" S ORY(1)="-1^"_^TMP($J,"YSCOR",1)_^TMP($J,"YSCOD",2),ERROR=1 Q 
- .;I ARRAY(1)'="[DATA]" S ORY(1)="-1^"_ARRAY(1)_ARRAY(2),ERROR=1 Q
- .I $P($G(^TMP($J,"YSCOR",2)),"=",2)'="" S SCORE=$P($G(^TMP($J,"YSCOR",2)),"=",2),OK=1
- .;S SUB=0,OK=0
- .;F  S SUB=$O(ARRAY(SUB)) Q:'SUB  D  Q:OK
- .;.I $P(ARRAY(SUB),U)="S1" S SCORE=$P(ARRAY(SUB),U,3),OK=1
+ .D PREVIEW^YTAPI4(.ARRAY,.YT)
+ .I ARRAY(1)'="[DATA]" S ORY(1)="-1^"_ARRAY(1)_ARRAY(2),ERROR=1 Q
+ .S SUB=0,OK=0
+ .F  S SUB=$O(ARRAY(SUB)) Q:'SUB  D  Q:OK
+ ..I $P(ARRAY(SUB),U)="S1" S SCORE=$P(ARRAY(SUB),U,3),OK=1
  .I 'OK S ORY(1)="-1^[ERROR] no score returned",ERROR=1 Q
  ;
@@ -36,5 +28,4 @@
  .S SCORE=0
  ;
- S DFN=$G(ORES("DFN"))
  S INSERT("SCORE")=SCORE
  ;
@@ -49,6 +40,4 @@
  .F CNT=2,3,4 S INSERT("SUM"_CNT)=SUM(CNT)
  ;
-TEXT ;
- I RESULT["~" S RESULT=$P(RESULT,"~")
  ;Load dialog results into ORY array
  N DATA,DCON,DITEM,DSEQ,DSUB,DTYP,INS,SEP,TEXT
@@ -83,8 +72,4 @@
  Q
  ;
-MHDLL(ORES,RESULT,SCORE,DFN) ;
- S INSERT("SCORE")=SCORE
- D TEXT
- Q
 OUT(DATA) ;Display element details
  N DITEM S DITEM=$P(DATA,U,2) Q:'DITEM
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLR1.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDLR1.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDLR1.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDLR1 ; SLC/AGP - DIALOG ORPHAN REPORT. ; 11/16/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMDLR1 ; SLC/AGP - DIALOG ORPHAN REPORT. ; 02/04/2004
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
  ;=======================================================================
@@ -42,5 +42,5 @@
  . W !,"  "_$G(NAME) S PCNT=PCNT+1 I (PCNT+1)'<IOSL D PAGE(.PCNT,.PAGE) I $G(DONE)=1 Q
  I FOUND=0 W !,"No empty dialog found"
- I ($E(IOST,1,2)="C-")&(IO=IO(0)) D
+ I ($E(IOST)="C")&(IO=IO(0)) D
  . W !
  . S DIR(0)="E" D ^DIR K DIR
@@ -66,5 +66,5 @@
  . .I (PCNT+1)'<IOSL D PAGE(.PCNT,.PAGE) I $G(DONE)=1 Q
  K ^TMP("PXRMDLR1",$J)
- I ($E(IOST,1,2)="C-")&(IO=IO(0)) D
+ I ($E(IOST)="C")&(IO=IO(0)) D
  . W !
  . S DIR(0)="E" D ^DIR K DIR
@@ -79,5 +79,5 @@
 PAGE(PCNT,PAGE) ;
  N DUOUT,DTOUT,DIROUT,DIR
- I ($E(IOST,1,2)="C-")&(IO=IO(0)) D
+ I ($E(IOST)="C")&(IO=IO(0)) D
  .S DIR(0)="E"
  .W !
@@ -86,4 +86,4 @@
  W:$D(IOF) @IOF
  S PAGE=PAGE+1,PCNT=0
- I ($E(IOST,1,2)="C-")&(IO=IO(0)) W @IOF D HEADER(.PCNT,PAGE,TITLE)
+ I $E(IOST)="C",IO=IO(0) W @IOF D HEADER(.PCNT,PAGE,TITLE)
  Q
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDNVA.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDNVA.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDNVA.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDNVA ; SLC/PKR - Handle non-VA med findings. ;03/14/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMDNVA ; SLC/PKR - Handle non-VA med findings. ;05/24/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;===============================================
@@ -18,9 +18,8 @@
  ;====================================================
 MHVOUT(INDENT,IFIEVAL,NLINES,TEXT) ;Produce the MHV output.
- N DATE,JND,NOUT,TEMP,TEXTOUT
+ N JND,NOUT,TEMP,TEXTOUT
  S TEMP="Non-VA med: "_IFIEVAL("ORDERABLE ITEM")_" = "
  S TEMP=TEMP_"("_$$EDATE^PXRMDATE(IFIEVAL("START DATE"))
- S DATE=IFIEVAL("DISCONTINUED DATE")
- S DATE=$S(DATE="":"NONE",1:$$EDATE^PXRMDATE(DATE))
+ S TEMP=TEMP_" - "_$$EDATE^PXRMDATE(IFIEVAL("STOP DATE"))_")"
  D FORMATS^PXRMTEXT(INDENT+2,PXRMRM,TEMP,.NOUT,.TEXTOUT)
  F JND=1:1:NOUT S NLINES=NLINES+1,TEXT(NLINES)=TEXTOUT(JND)
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDRGR.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDRGR.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDRGR.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDRGR ; SLC/PKR - Handle groups of drug findings. ;06/20/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMDRGR ; SLC/PKR - Handle groups of drug findings. ;06/12/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;Groups are drug classes or VA Generic.
  ;==================================================
@@ -100,6 +100,4 @@
  .. S IND=0
  .. F  S IND=+$O(FIEVT(IND)) Q:IND=0  D
- ...;Make sure this is not already on the list
- ... I $$ONLIST(.FIEVTL,IND,.FIEVT) Q
  ... S NFOUND=NFOUND+1,FIEVTL(NFOUND,"DISPENSE DRUG")=DRUGIEN
  ... M FIEVTL(NFOUND)=FIEVT(IND)
@@ -185,13 +183,2 @@
  Q
  ;
- ;==================================================
-ONLIST(FIEVTL,IND,FIEVT) ;Return true if FIEVT(IND) is already on
- ;FIEVTL.
- N JND,ONLIST
- S (JND,ONLIST)=0
- F  S JND=$O(FIEVTL(JND)) Q:(ONLIST)!(JND="")  D
- . I FIEVTL(JND,"FILE NUMBER")'=FIEVT(IND,"FILE NUMBER") Q
- . I FIEVTL(JND,"DAS")'=FIEVT(IND,"DAS") Q
- . S ONLIST=1
- Q ONLIST
- ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDRUG.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMDRUG.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMDRUG.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMDRUG ; SLC/PKR - Handle drug findings. ;04/23/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMDRUG ; SLC/PKR - Handle drug findings. ;06/08/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;===============================================
@@ -114,5 +114,5 @@
  ;===============================================
 EVALTERM(DFN,FINDPA,ENODE,TERMARR,TFIEVAL) ;Evaluate drug terms.
- N DATEORDR,DRUGIEN,DTERM,DTFIEVAL,IND,JND,NOINDEX,PFINDPA,POI
+ N DATEORDR,DRUGIEN,DTERM,DTFIEVAL,IND,NOINDEX,PFINDPA,POI
  N RXTYL,TEMP,TFINDING,TFINDPA
  N DATEORDR,NOCC,SDIR
@@ -159,7 +159,5 @@
  .. D DORDER^PXRMTERM(.DTFIEVAL,.DATEORDR)
  .. D COPY^PXRMTERM(NOCC,SDIR,.DTFIEVAL,.DATEORDR,TFINDING,.TFIEVAL)
- ..;Save the dispense drug
- .. S JND=0
- .. F  S JND=+$O(TFIEVAL(TFINDING,JND)) Q:JND=0  S TFIEVAL(TFINDING,JND,"DISPENSE DRUG")=DRUGIEN
+ .. I TFIEVAL(TFINDING) S TFIEVAL(TFINDING,"DISPENSE DRUG")=DRUGIEN
  Q
  ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEDIT.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMEDIT.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEDIT.m	(revision 636)
@@ -1,9 +1,6 @@
-PXRMEDIT ; SLC/PKR - Clinical Reminder edit driver. ;06/04/2007
- ;;2.0;CLINICAL REMINDERS;**6**;Feb 04, 2005;Build 123
+PXRMEDIT ; SLC/PKR - Clinical Reminder edit driver. ;05/18/2000
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
 EDIT(ROOT,IENN) ;Call the appropriate edit routine.
- ;Reminder location list
- I ROOT="^PXRMD(810.9," D EDIT^PXRMLLED(ROOT,IENN) Q
- ;
  ;Taxonomy
  I ROOT="^PXD(811.2," D EDIT^PXRMTEDT(ROOT,IENN) Q
@@ -12,5 +9,5 @@
  I ROOT="^PXRMD(811.5," D EDIT^PXRMTMED(ROOT,IENN) Q
  ;
- ;Reminder definition
+ ;Reminder
  I ROOT="^PXD(811.9," D
  .;Build list of finding types for finding edit
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMENOD.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMENOD.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMENOD.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMENOD ; SLC/PKR - Clinical Reminders "E" node routines. ;12/13/2006
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMENOD ; SLC/PKR - Clinical Reminders "E" node routines. ;04/17/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;========================================================
@@ -30,5 +30,5 @@
  ;Do not execute as part of a verify fields.
  I $G(DIUTIL)="VERIFY FIELDS" Q
- N DAS,GLOBAL,IEN,NAME
+ N DAS,GLOBAL,IEN
  S IEN=$P(X,";",1)
  S GLOBAL=$P(X,";",2)
@@ -44,7 +44,6 @@
  S DAS=IEN
  I DAS="" Q
- S NAME=""
- I FILENUM=811.5 S ^PXRMD(811.5,DA(1),20,"E",GLOBAL,DAS,DA)=NAME
- I FILENUM=811.9 S ^PXD(811.9,DA(1),20,"E",GLOBAL,DAS,DA)=NAME
+ I FILENUM=811.5 S ^PXRMD(811.5,DA(1),20,"E",GLOBAL,DAS,DA)=""
+ I FILENUM=811.9 S ^PXD(811.9,DA(1),20,"E",GLOBAL,DAS,DA)=""
  Q
  ;
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEPM.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMEPM.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMEPM.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMEPM ; SLC/PKR/PJH - Extract Definition Management ;07/17/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMEPM ; SLC/PKR/PJH - Extract Definition Management ;06/21/2006
+ ;;2.0;CLINICAL REMINDERS;**4**;Feb 04, 2005;Build 21
  ;
  ;Main entry point for PXRM EXTRACT DEFINITIONS
@@ -13,5 +13,9 @@
  K ^TMP("PXRMEPM",$J)
  N IEN,IND,PLIST
- D LIST^PXRMETM("PXRMEPM",.VALMCNT)
+ D LIST^PXRMETM(.PLIST,.IEN)
+ M ^TMP("PXRMEPM",$J)=PLIST
+ S VALMCNT=PLIST("VALMCNT")
+ F IND=1:1:VALMCNT D
+ .S ^TMP("PXRMEPM",$J,"IDX",IND,IND)=IEN(IND)
  Q
  ;
@@ -61,10 +65,10 @@
  .W $C(7),!,"Only one item number allowed." H 2
  .S VALMBCK="R"
- I ('SEL)!(SEL>VALMCNT)!('$D(@VALMAR@("SEL",SEL))) D  Q
+ I ('SEL)!(SEL>VALMCNT)!('$D(@VALMAR@("IDX",SEL))) D  Q
  .W $C(7),!,SEL_" is not a valid item number." H 2
  .S VALMBCK="R"
  ;
  ;Get the list ien.
- S IEN=^TMP("PXRMEPM",$J,"SEL",SEL)
+ S IEN=^TMP("PXRMEPM",$J,"IDX",SEL,SEL)
  ;Display/Edit Extract Definition
  D START^PXRMEPED(IEN)
@@ -82,4 +86,5 @@
  ;
 EPADD ;Add Rule Option
+ ;
  ;Reset Screen Mode
  W IORESET
@@ -90,4 +95,5 @@
  ;Rebuild Workfile
  D BLDLIST
+ ;
  S VALMBCK="R"
  Q
@@ -103,5 +109,5 @@
  F  S IND=$O(VALMY(IND)) Q:(+IND=0)!(PXRMDONE)  D
  .;Get the ien.
- .S LRIEN=^TMP("PXRMEPM",$J,"SEL",IND)
+ .S LRIEN=^TMP("PXRMEPM",$J,"IDX",IND,IND)
  .D START^PXRMEPED(LRIEN)
  D BLDLIST
Index: FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMETCO.m
===================================================================
--- FOIAVistA/trunk/r/CLINICAL_REMINDERS-PXRM/PXRMETCO.m	(revision 631)
+++ FOIAVistA/tag/r/CLINICAL_REMINDERS-PXRM/PXRMETCO.m	(revision 636)
@@ -1,4 +1,4 @@
-PXRMETCO ; SLC/PJH - QUERI Extract Compliance Report ;03/27/2007
- ;;2.0;CLINICAL REMINDERS;**4,6**;Feb 04, 2005;Build 123
+PXRMETCO ; SLC/PJH - QUERI Extract Compliance Report ;01/19/2005
+ ;;2.0;CLINICAL REMINDERS;;Feb 04, 2005
  ;
  ;
@@ -33,5 +33,5 @@
  S LIST=NAME_" REPORT "_DATES
  ;Process (single) Denominator rule into patient list
- N INDP,INTP,SEQ,SUB,SUFFIX
+ N SEQ,SUB,SUFFIX
  S SEQ=""
  F  S SEQ=$O(^PXRM(810.2,IEN,10,"B",SEQ)) Q:'SEQ  D
@@ -41,9 +41,7 @@
  .S SUFFIX=$P(DATA,U,3)
  .I SUFFIX="" S SUFFIX="DENOMINATOR "_SEQ
- .S INDP=+$P(DATA,U,4)
- .S INTP=+$P(DATA,U,5)
  .;Create new patient list
- .S PXRMLIST=$$CRLST^PXRMRUL1(LIST_" "_SUFFIX) Q:'PXRMLIST
- .D START^PXRMRULE(PXRMRULE,PXRMLIST,PXRMNODE,PXRMSTRT,PXRMSTOP,IEN,INDP,INTP)
+ .S PXRMLIST=$$CRLST^PXRMRULE(LIST_" "_SUFFIX) Q:'PXRMLIST
+ .D START^PXRMRULE(PXRMRULE,PXRMLIST,PXRMNODE,PXRMSTRT,PXRMSTOP,IEN,"","")
  .;Clear ^TMP lists created for rule
  .D CLEAR^PXRMRULE(PXRMRULE,PXRMNODE)
@@ -120,6 +118,5 @@
  W !,"Queue the Clinical Reminders MST synchronization."
  S DIR("A",1)="Enter the date and time you want the job to start."
- S DIR("A",2)="It must be after "_$$FMTE^XLFDT(MINDT,"5Z")
- S DIR("A")="Start the task at: "
+ S DIR("A")="It must be after "_$$FMTE^XLFDT(MINDT,"5Z")_" "
  S DIR(0)="DAU"_U_MINDT_"::RSX"
  D ^DIR
